//-------------------------------------------------------------------------------------------------
// <copyright file="VsCommand2K.cs" company="Microsoft">
//    Copyright (c) Microsoft Corporation.  All rights reserved.
//    
//    The use and distribution terms for this software are covered by the
//    Common Public License 1.0 (http://opensource.org/licenses/cpl.php)
//    which can be found in the file CPL.TXT at the root of this distribution.
//    By using this software in any fashion, you are agreeing to be bound by
//    the terms of this license.
//    
//    You must not remove this notice, or any other, from this software.
// </copyright>
// 
// <summary>
// Contains Visual Studio 2K menu commands.
// </summary>
//-------------------------------------------------------------------------------------------------

namespace Microsoft.Tools.WindowsInstallerXml.VisualStudioInfrastructure
{
    using System;

    /// <summary>
    ///     Visual Studio 2K menu commands.
    /// </summary>
    public enum VsCommand2K 
    {
        TYPECHAR = 1, 
        BACKSPACE = 2, 
        RETURN = 3, 
        TAB = 4,  // test
        BACKTAB = 5, 
        DELETE = 6, 
        LEFT = 7, 
        LEFT_EXT = 8, 
        RIGHT = 9, 
        RIGHT_EXT = 10, 
        UP = 11, 
        UP_EXT = 12, 
        DOWN = 13, 
        DOWN_EXT = 14, 
        HOME = 15, 
        HOME_EXT = 16, 
        END = 17, 
        END_EXT = 18, 
        BOL = 19, 
        BOL_EXT = 20, 
        FIRSTCHAR = 21, 
        FIRSTCHAR_EXT = 22, 
        EOL = 23, 
        EOL_EXT = 24, 
        LASTCHAR = 25, 
        LASTCHAR_EXT = 26, 
        PAGEUP = 27, 
        PAGEUP_EXT = 28, 
        PAGEDN = 29, 
        PAGEDN_EXT = 30, 
        TOPLINE = 31, 
        TOPLINE_EXT = 32, 
        BOTTOMLINE = 33, 
        BOTTOMLINE_EXT = 34, 
        SCROLLUP = 35, 
        SCROLLDN = 36, 
        SCROLLPAGEUP = 37, 
        SCROLLPAGEDN = 38, 
        SCROLLLEFT = 39, 
        SCROLLRIGHT = 40, 
        SCROLLBOTTOM = 41, 
        SCROLLCENTER = 42, 
        SCROLLTOP = 43, 
        SELECTALL = 44, 
        SELTABIFY = 45, 
        SELUNTABIFY = 46, 
        SELLOWCASE = 47, 
        SELUPCASE = 48, 
        SELTOGGLECASE = 49, 
        SELTITLECASE = 50, 
        SELSWAPANCHOR = 51, 
        GOTOLINE = 52, 
        GOTOBRACE = 53, 
        GOTOBRACE_EXT = 54, 
        GOBACK = 55, 
        SELECTMODE = 56, 
        TOGGLE_OVERTYPE_MODE = 57, 
        CUT = 58, 
        COPY = 59, 
        PASTE = 60, 
        CUTLINE = 61, 
        DELETELINE = 62, 
        DELETEBLANKLINES = 63, 
        DELETEWHITESPACE = 64, 
        DELETETOEOL = 65, 
        DELETETOBOL = 66, 
        OPENLINEABOVE = 67, 
        OPENLINEBELOW = 68, 
        INDENT = 69, 
        UNINDENT = 70, 
        UNDO = 71, 
        UNDONOMOVE = 72, 
        REDO = 73, 
        REDONOMOVE = 74, 
        DELETEALLTEMPBOOKMARKS = 75, 
        TOGGLETEMPBOOKMARK = 76, 
        GOTONEXTBOOKMARK = 77, 
        GOTOPREVBOOKMARK = 78, 
        FIND = 79, 
        REPLACE = 80, 
        REPLACE_ALL = 81, 
        FINDNEXT = 82, 
        FINDNEXTWORD = 83, 
        FINDPREV = 84, 
        FINDPREVWORD = 85, 
        FINDAGAIN = 86, 
        TRANSPOSECHAR = 87, 
        TRANSPOSEWORD = 88, 
        TRANSPOSELINE = 89, 
        SELECTCURRENTWORD = 90, 
        DELETEWORDRIGHT = 91, 
        DELETEWORDLEFT = 92, 
        WORDPREV = 93, 
        WORDPREV_EXT = 94, 
        WORDNEXT = 96, 
        WORDNEXT_EXT = 97, 
        COMMENTBLOCK = 98, 
        UNCOMMENTBLOCK = 99, 
        SETREPEATCOUNT = 100, 
        WIDGETMARGIN_LBTNDOWN = 101, 
        SHOWCONTEXTMENU = 102, 
        CANCEL = 103, 
        PARAMINFO = 104, 
        TOGGLEVISSPACE = 105, 
        TOGGLECARETPASTEPOS = 106, 
        COMPLETEWORD = 107, 
        SHOWMEMBERLIST = 108, 
        FIRSTNONWHITEPREV = 109, 
        FIRSTNONWHITENEXT = 110, 
        HELPKEYWORD = 111, 
        FORMATSELECTION = 112, 
        OPENURL = 113,      
        INSERTFILE = 114, 
        TOGGLESHORTCUT = 115, 
        QUICKINFO = 116, 
        LEFT_EXT_COL = 117, 
        RIGHT_EXT_COL = 118, 
        UP_EXT_COL = 119, 
        DOWN_EXT_COL = 120, 
        TOGGLEWORDWRAP = 121, 
        ISEARCH = 122, 
        ISEARCHBACK = 123, 
        BOL_EXT_COL = 124, 
        EOL_EXT_COL = 125, 
        WORDPREV_EXT_COL = 126, 
        WORDNEXT_EXT_COL = 127, 
        OUTLN_HIDE_SELECTION = 128, 
        OUTLN_TOGGLE_CURRENT = 129, 
        OUTLN_TOGGLE_ALL = 130, 
        OUTLN_STOP_HIDING_ALL = 131, 
        OUTLN_STOP_HIDING_CURRENT = 132, 
        OUTLN_COLLAPSE_TO_DEF = 133, 
        DOUBLECLICK = 134, 
        EXTERNALLY_HANDLED_WIDGET_CLICK = 135, 
        COMMENT_BLOCK = 136, 
        UNCOMMENT_BLOCK = 137, 
        OPENFILE = 138, 
        NAVIGATETOURL = 139, 

        // For editor internal use only
        HANDLEIMEMESSAGE = 140, 

        SELTOGOBACK = 141, 
        COMPLETION_HIDE_ADVANCED = 142, 

        FORMATDOCUMENT = 143, 
        OUTLN_START_AUTOHIDING = 144, 

        // Last Standard Editor Command (+1)
        FINAL = 145, 

        AUTOCOMPLETE = 155,

        ///////////////////////////////////////////////////////////////
        // Some new commands created during CTC file rationalisation
        ///////////////////////////////////////////////////////////////
        STOP = 220, 
        REVERSECANCEL = 221, 
        SLNREFRESH = 222, 
        SAVECOPYOFITEMAS = 223, 
        //
        // Shareable commands originating in the HTML editor
        //
        NEWELEMENT = 224, 
        NEWATTRIBUTE = 225, 
        NEWCOMPLEXTYPE = 226, 
        NEWSIMPLETYPE = 227, 
        NEWGROUP = 228, 
        NEWATTRIBUTEGROUP = 229, 
        NEWKEY = 230, 
        NEWRELATION = 231, 
        EDITKEY = 232, 
        EDITRELATION = 233, 
        MAKETYPEGLOBAL = 234, 
        PREVIEWDATASET = 235, 
        GENERATEDATASET = 236, 
        CREATESCHEMA = 237, 
        LAYOUTINDENT = 238, 
        LAYOUTUNINDENT = 239, 
        REMOVEHANDLER = 240, 
        EDITHANDLER = 241, 
        ADDHANDLER = 242, 
        STYLE = 243, 
        STYLEGETLIST = 244, 
        FONTSTYLE = 245, 
        FONTSTYLEGETLIST = 246, 
        PASTEASHTML = 247, 
        VIEWBORDERS = 248, 
        VIEWDETAILS = 249, 
        EXPANDCONTROLS = 250, 
        COLLAPSECONTROLS = 251, 
        SHOWSCRIPTONLY = 252, 
        INSERTTABLE = 253, 
        INSERTCOLLEFT = 254, 
        INSERTCOLRIGHT = 255, 
        INSERTROWABOVE = 256, 
        INSERTROWBELOW = 257, 
        DELETETABLE = 258, 
        DELETECOLS = 259, 
        DELETEROWS = 260, 
        SELECTTABLE = 261, 
        SELECTTABLECOL = 262, 
        SELECTTABLEROW = 263, 
        SELECTTABLECELL = 264, 
        MERGECELLS = 265, 
        SPLITCELL = 266, 
        INSERTCELL = 267, 
        DELETECELLS = 268, 
        SEAMLESSFRAME = 269, 
        VIEWFRAME = 270, 
        DELETEFRAME = 271, 
        SETFRAMESOURCE = 272, 
        NEWLEFTFRAME = 273, 
        NEWRIGHTFRAME = 274, 
        NEWTOPFRAME = 275, 
        NEWBOTTOMFRAME = 276, 
        SHOWGRID = 277, 
        SNAPTOGRID = 278, 
        BOOKMARK = 279, 
        HYPERLINK = 280, 
        IMAGE = 281, 
        INSERTFORM = 282, 
        INSERTSPAN = 283, 
        DIV = 284, 
        HTMLCLIENTSCRIPTBLOCK = 285, 
        HTMLSERVERSCRIPTBLOCK = 286, 
        BULLETEDLIST = 287, 
        NUMBEREDLIST = 288, 
        EDITSCRIPT = 289, 
        EDITCODEBEHIND = 290, 
        DOCOUTLINEHTML = 291, 
        DOCOUTLINESCRIPT = 292, 
        RUNATSERVER = 293, 
        WEBFORMSVERBS = 294, 
        WEBFORMSTEMPLATES = 295, 
        ENDTEMPLATE = 296, 
        EDITDEFAULTEVENT = 297, 
        SUPERSCRIPT = 298, 
        SUBSCRIPT = 299, 
        EDITSTYLE = 300, 
        ADDIMAGEHEIGHTWIDTH = 301, 
        REMOVEIMAGEHEIGHTWIDTH = 302, 
        LOCKELEMENT = 303, 
        VIEWSTYLEORGANIZER = 304, 
        ECMD_AUTOCLOSEOVERRIDE = 305, 
        NEWANY = 306, 
        NEWANYATTRIBUTE = 307, 
        DELETEKEY = 308, 
        AUTOARRANGE = 309, 
        VALIDATESCHEMA = 310, 
        NEWFACET = 311, 
        VALIDATEXMLDATA = 312, 
        DOCOUTLINETOGGLE = 313, 
        VALIDATEHTMLDATA = 314, 
        VIEWXMLSCHEMAOVERVIEW = 315, 
        //
        // Shareable commands originating in the VC project
        //
        COMPILE = 350, 
        //
        PROJSETTINGS = 352, 
        LINKONLY = 353, 
        //
        REMOVE = 355, 
        PROJSTARTDEBUG = 356, 
        PROJSTEPINTO = 357, 
        //
        //
        UPDATEWEBREF = 360, 
        //
        ADDRESOURCE = 362, 
        WEBDEPLOY = 363, 
        //
        // Shareable commands originating in the VB and VBA projects
        // Note that there are two versions of each command. One
        // version is originally from the main (project) menu and the
        // other version from a cascading "Add" context menu. The main
        // difference between the two commands is that the main menu
        // version starts with the text "Add" whereas this is not
        // present on the context menu version.
        //
        ADDHTMLPAGE = 400, 
        ADDHTMLPAGECTX = 401, 
        ADDMODULE = 402, 
        ADDMODULECTX = 403, 
        // unused 404
        // unused 405
        ADDWFCFORM = 406, 
        // unused 407
        // unused 408
        // unused 409
        ADDWEBFORM = 410, 
        // unused 411
        ADDUSERCONTROL = 412, 
        // unused 413 to 425
        ADDDHTMLPAGE = 426, 
        // unused 427 to 431
        ADDIMAGEGENERATOR = 432, 
        // unused 433
        ADDINHERWFCFORM = 434, 
        // unused 435
        ADDINHERCONTROL = 436, 
        // unused 437
        ADDWEBUSERCONTROL = 438, 
        BUILDANDBROWSE = 439, 
        // unused 440
        // unused 441
        ADDTBXCOMPONENT = 442, 
        // unused 443
        ADDWEBSERVICE = 444, 
        // unused 445
        //
        // Shareable commands originating in the VFP project
        //
        ADDVFPPAGE = 500, 
        SETBREAKPOINT = 501, 
        //
        // Shareable commands originating in the HELP WORKSHOP project
        //
        SHOWALLFILES = 600, 
        ADDTOPROJECT = 601, 
        ADDBLANKNODE = 602, 
        ADDNODEFROMFILE = 603, 
        CHANGEURLFROMFILE = 604, 
        EDITTOPIC = 605, 
        EDITTITLE = 606, 
        MOVENODEUP = 607, 
        MOVENODEDOWN = 608, 
        MOVENODELEFT = 609, 
        MOVENODERIGHT = 610, 
        //
        // Shareable commands originating in the Deploy project
        //
        // Note there are two groups of deploy project commands.
        // The first group of deploy commands.
        ADDOUTPUT = 700, 
        ADDFILE = 701, 
        MERGEMODULE = 702, 
        ADDCOMPONENTS = 703, 
        LAUNCHINSTALLER = 704, 
        LAUNCHUNINSTALL = 705, 
        LAUNCHORCA = 706, 
        FILESYSTEMEDITOR = 707, 
        REGISTRYEDITOR = 708, 
        FILETYPESEDITOR = 709, 
        USERINTERFACEEDITOR = 710, 
        CUSTOMACTIONSEDITOR = 711, 
        LAUNCHCONDITIONSEDITOR = 712, 
        EDITOR = 713, 
        EXCLUDE = 714, 
        REFRESHDEPENDENCIES = 715, 
        VIEWOUTPUTS = 716, 
        VIEWDEPENDENCIES = 717, 
        VIEWFILTER = 718, 

        //
        // The Second group of deploy commands.
        // Note that there is a special sub-group in which the relative 
        // positions are important (see below)
        //
        KEY = 750, 
        STRING = 751, 
        BINARY = 752, 
        DWORD = 753, 
        KEYSOLO = 754, 
        IMPORT = 755, 
        FOLDER = 756, 
        PROJECTOUTPUT = 757, 
        FILE = 758, 
        ADDMERGEMODULES = 759, 
        CREATESHORTCUT = 760, 
        LARGEICONS = 761, 
        SMALLICONS = 762, 
        LIST = 763, 
        DETAILS = 764, 
        ADDFILETYPE = 765, 
        ADDACTION = 766, 
        SETASDEFAULT = 767, 
        MOVEUP = 768, 
        MOVEDOWN = 769, 
        ADDDIALOG = 770, 
        IMPORTDIALOG = 771, 
        ADDFILESEARCH = 772, 
        ADDREGISTRYSEARCH = 773, 
        ADDCOMPONENTSEARCH = 774, 
        ADDLAUNCHCONDITION = 775, 
        ADDCUSTOMACTION = 776, 
        OUTPUTS = 777, 
        DEPENDENCIES = 778, 
        FILTER = 779, 
        COMPONENTS = 780, 
        ENVSTRING = 781, 
        CREATEEMPTYSHORTCUT = 782, 
        ADDFILECONDITION = 783, 
        ADDREGISTRYCONDITION = 784, 
        ADDCOMPONENTCONDITION = 785, 
        ADDURTCONDITION = 786, 
        ADDIISCONDITION = 787, 

        //
        // The relative positions of the commands within the following deploy
        // subgroup must remain unaltered, although the group as a whole may
        // be repositioned. Note that the first and last elements are special
        // boundary elements.
        SPECIALFOLDERBASE = 800, 
        USERSAPPLICATIONDATAFOLDER = 800, 
        COMMONFILESFOLDER = 801, 
        CUSTOMFOLDER = 802, 
        USERSDESKTOP = 803, 
        USERSFAVORITESFOLDER = 804, 
        FONTSFOLDER = 805, 
        GLOBALASSEMBLYCACHEFOLDER = 806, 
        MODULERETARGETABLEFOLDER = 807, 
        USERSPERSONALDATAFOLDER = 808, 
        PROGRAMFILESFOLDER = 809, 
        USERSPROGRAMSMENU = 810, 
        USERSSENDTOMENU = 811, 
        SHAREDCOMPONENTSFOLDER = 812, 
        USERSSTARTMENU = 813, 
        USERSSTARTUPFOLDER = 814, 
        SYSTEMFOLDER = 815, 
        APPLICATIONFOLDER = 816, 
        USERSTEMPLATEFOLDER = 817, 
        WEBCUSTOMFOLDER = 818, 
        WINDOWSFOLDER = 819, 
        SPECIALFOLDERLAST = 819, 
        // End of deploy sub-group
        //
        // Shareable commands originating in the Visual Studio Analyzer project
        //
        EXPORTEVENTS = 900, 
        IMPORTEVENTS = 901, 
        VIEWEVENT = 902, 
        VIEWEVENTLIST = 903, 
        VIEWCHART = 904, 
        VIEWMACHINEDIAGRAM = 905, 
        VIEWPROCESSDIAGRAM = 906, 
        VIEWSOURCEDIAGRAM = 907, 
        VIEWSTRUCTUREDIAGRAM = 908, 
        VIEWTIMELINE = 909, 
        VIEWSUMMARY = 910, 
        APPLYFILTER = 911, 
        CLEARFILTER = 912, 
        STARTRECORDING = 913, 
        STOPRECORDING = 914, 
        PAUSERECORDING = 915, 
        ACTIVATEFILTER = 916, 
        SHOWFIRSTEVENT = 917, 
        SHOWPREVIOUSEVENT = 918, 
        SHOWNEXTEVENT = 919, 
        SHOWLASTEVENT = 920, 
        REPLAYEVENTS = 921, 
        STOPREPLAY = 922, 
        INCREASEPLAYBACKSPEED = 923, 
        DECREASEPLAYBACKSPEED = 924, 
        ADDMACHINE = 925, 
        ADDREMOVECOLUMNS = 926, 
        SORTCOLUMNS = 927, 
        SAVECOLUMNSETTINGS = 928, 
        RESETCOLUMNSETTINGS = 929, 
        SIZECOLUMNSTOFIT = 930, 
        AUTOSELECT = 931, 
        AUTOFILTER = 932, 
        AUTOPLAYTRACK = 933, 
        GOTOEVENT = 934, 
        ZOOMTOFIT = 935, 
        ADDGRAPH = 936, 
        REMOVEGRAPH = 937, 
        CONNECTMACHINE = 938, 
        DISCONNECTMACHINE = 939, 
        EXPANDSELECTION = 940, 
        COLLAPSESELECTION = 941, 
        ADDFILTER = 942, 
        ADDPREDEFINED0 = 943, 
        ADDPREDEFINED1 = 944, 
        ADDPREDEFINED2 = 945, 
        ADDPREDEFINED3 = 946, 
        ADDPREDEFINED4 = 947, 
        ADDPREDEFINED5 = 948, 
        ADDPREDEFINED6 = 949, 
        ADDPREDEFINED7 = 950, 
        ADDPREDEFINED8 = 951, 
        TIMELINESIZETOFIT = 952, 

        //
        // Shareable commands originating with Crystal Reports
        //
        FIELDVIEW = 1000, 
        SELECTEXPERT = 1001, 
        TOPNEXPERT = 1002, 
        SORTORDER = 1003, 
        PROPPAGE = 1004, 
        HELP = 1005, 
        SAVEREPORT = 1006, 
        INSERTSUMMARY = 1007, 
        INSERTGROUP = 1008, 
        INSERTSUBREPORT = 1009, 
        INSERTCHART = 1010, 
        INSERTPICTURE = 1011, 
        //
        // Shareable commands from the common project area (DirPrj)
        //
        SETASSTARTPAGE = 1100, 
        RECALCULATELINKS = 1101, 
        WEBPERMISSIONS = 1102, 
        COMPARETOMASTER = 1103, 
        WORKOFFLINE = 1104, 
        SYNCHRONIZEFOLDER = 1105, 
        SYNCHRONIZEALLFOLDERS = 1106, 
        COPYPROJECT = 1107, 
        IMPORTFILEFROMWEB = 1108, 
        INCLUDEINPROJECT = 1109, 
        EXCLUDEFROMPROJECT = 1110, 
        BROKENLINKSREPORT = 1111, 
        ADDPROJECTOUTPUTS = 1112, 
        ADDREFERENCE = 1113, 
        ADDWEBREFERENCE = 1114, 
        ADDWEBREFERENCECTX = 1115, 
        UPDATEWEBREFERENCE = 1116, 
        RUNCUSTOMTOOL = 1117,  
        //
        // Shareable commands for right drag operations
        //
        DRAG_MOVE = 1140, 
        DRAG_COPY = 1141, 
        DRAG_CANCEL = 1142, 

        //
        // Shareable commands from the VC resource editor
        //
        TESTDIALOG = 1200, 
        SPACEACROSS = 1201, 
        SPACEDOWN = 1202, 
        TOGGLEGRID = 1203, 
        TOGGLEGUIDES = 1204, 
        SIZETOTEXT = 1205, 
        CENTERVERT = 1206, 
        CENTERHORZ = 1207, 
        FLIPDIALOG = 1208, 
        SETTABORDER = 1209, 
        BUTTONRIGHT = 1210, 
        BUTTONBOTTOM = 1211, 
        AUTOLAYOUTGROW = 1212, 
        AUTOLAYOUTNORESIZE = 1213, 
        AUTOLAYOUTOPTIMIZE = 1214, 
        GUIDESETTINGS = 1215, 
        RESOURCEINCLUDES = 1216, 
        RESOURCESYMBOLS = 1217, 
        OPENBINARY = 1218, 
        RESOURCEOPEN = 1219, 
        RESOURCENEW = 1220, 
        RESOURCENEWCOPY = 1221, 
        INSERT = 1222, 
        EXPORT = 1223, 
        CTLMOVELEFT = 1224, 
        CTLMOVEDOWN = 1225, 
        CTLMOVERIGHT = 1226, 
        CTLMOVEUP = 1227, 
        CTLSIZEDOWN = 1228, 
        CTLSIZEUP = 1229, 
        CTLSIZELEFT = 1230, 
        CTLSIZERIGHT = 1231, 
        NEWACCELERATOR = 1232, 
        CAPTUREKEYSTROKE = 1233, 
        INSERTACTIVEXCTL = 1234, 
        INVERTCOLORS = 1235, 
        FLIPHORIZONTAL = 1236, 
        FLIPVERTICAL = 1237, 
        ROTATE90 = 1238, 
        SHOWCOLORSWINDOW = 1239, 
        NEWSTRING = 1240, 
        NEWINFOBLOCK = 1241, 
        DELETEINFOBLOCK = 1242, 
        ADJUSTCOLORS = 1243, 
        LOADPALETTE = 1244, 
        SAVEPALETTE = 1245, 
        CHECKMNEMONICS = 1246, 
        DRAWOPAQUE = 1247, 
        TOOLBAREDITOR = 1248, 
        GRIDSETTINGS = 1249, 
        NEWDEVICEIMAGE = 1250, 
        OPENDEVICEIMAGE = 1251, 
        DELETEDEVICEIMAGE = 1252, 
        VIEWASPOPUP = 1253, 
        CHECKMENUMNEMONICS = 1254, 
        SHOWIMAGEGRID = 1255, 
        SHOWTILEGRID = 1256, 
        MAGNIFY = 1257, 
        ResProps = 1258, 
        //
        // Shareable commands from the VC resource editor (Image editor toolbar)
        //
        PICKRECTANGLE = 1300, 
        PICKREGION = 1301, 
        PICKCOLOR = 1302, 
        ERASERTOOL = 1303, 
        FILLTOOL = 1304, 
        PENCILTOOL = 1305, 
        BRUSHTOOL = 1306, 
        AIRBRUSHTOOL = 1307, 
        LINETOOL = 1308, 
        CURVETOOL = 1309, 
        TEXTTOOL = 1310, 
        RECTTOOL = 1311, 
        OUTLINERECTTOOL = 1312, 
        FILLEDRECTTOOL = 1313, 
        ROUNDRECTTOOL = 1314, 
        OUTLINEROUNDRECTTOOL = 1315, 
        FILLEDROUNDRECTTOOL = 1316, 
        ELLIPSETOOL = 1317, 
        OUTLINEELLIPSETOOL = 1318, 
        FILLEDELLIPSETOOL = 1319, 
        SETHOTSPOT = 1320, 
        ZOOMTOOL = 1321, 
        ZOOM1X = 1322, 
        ZOOM2X = 1323, 
        ZOOM6X = 1324, 
        ZOOM8X = 1325, 
        TRANSPARENTBCKGRND = 1326, 
        OPAQUEBCKGRND = 1327, 
        //---------------------------------------------------
        // The commands ECMD_ERASERSMALL thru ECMD_LINELARGER
        // must be left in the same order for the use of the
        // Resource Editor - They may however be relocated as
        // a complete block
        //---------------------------------------------------
        ERASERSMALL = 1328, 
        ERASERMEDIUM = 1329, 
        ERASERLARGE = 1330, 
        ERASERLARGER = 1331, 
        CIRCLELARGE = 1332, 
        CIRCLEMEDIUM = 1333, 
        CIRCLESMALL = 1334, 
        SQUARELARGE = 1335, 
        SQUAREMEDIUM = 1336, 
        SQUARESMALL = 1337, 
        LEFTDIAGLARGE = 1338, 
        LEFTDIAGMEDIUM = 1339, 
        LEFTDIAGSMALL = 1340, 
        RIGHTDIAGLARGE = 1341, 
        RIGHTDIAGMEDIUM = 1342, 
        RIGHTDIAGSMALL = 1343, 
        SPLASHSMALL = 1344, 
        SPLASHMEDIUM = 1345, 
        SPLASHLARGE = 1346, 
        LINESMALLER = 1347, 
        LINESMALL = 1348, 
        LINEMEDIUM = 1349, 
        LINELARGE = 1350, 
        LINELARGER = 1351, 
        LARGERBRUSH = 1352, 
        LARGEBRUSH = 1353, 
        STDBRUSH = 1354, 
        SMALLBRUSH = 1355, 
        SMALLERBRUSH = 1356, 
        ZOOMIN = 1357, 
        ZOOMOUT = 1358, 
        PREVCOLOR = 1359, 
        PREVECOLOR = 1360, 
        NEXTCOLOR = 1361, 
        NEXTECOLOR = 1362, 
        IMG_OPTIONS = 1363, 

        //---------------------------------------------------

        //
        // Shareable commands from WINFORMS
        //
        CANCELDRAG = 1500, 
        DEFAULTACTION = 1501, 
        CTLMOVEUPGRID = 1502, 
        CTLMOVEDOWNGRID = 1503, 
        CTLMOVELEFTGRID = 1504, 
        CTLMOVERIGHTGRID = 1505, 
        CTLSIZERIGHTGRID = 1506, 
        CTLSIZEUPGRID = 1507, 
        CTLSIZELEFTGRID = 1508, 
        CTLSIZEDOWNGRID = 1509, 
        NEXTCTL = 1510, 
        PREVCTL = 1511, 

        // this is coming in with the VS2K guid?
        QUICKOBJECTSEARCH = 1119, 
    }
}
